com.genesyslab.wfm8.API.service.config851

## Class CfgRotationDistribution

- java.lang.Object
- - com.genesyslab.wfm8.API.service.config851.CfgRotationDistribution

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgRotationDistribution
      extends java.lang.Object
      implements java.io.Serializable

  Rotating Pattern Week Distribution
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static long` | `serialVersionUID`
    `protected double` | `wmDate` Date of distribution
    `protected int` | `wmRotatingSchId` Rotating Pattern ID
    `protected java.util.List<java.lang.Integer>` | `wmRotationWeekAgents` A list of number of agents for every week in rotation pattern.
    `protected int` | `wmRotationWeekAgentsNSizeIs` Number of elements in wmRotationWeekAgents list.
    `protected int` | `wmSiteId` Rotating Pattern Site ID

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgRotationDistribution()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `double` | `getWmDate()` Gets the value of the wmDate property.
    `int` | `getWmRotatingSchId()` Gets the value of the wmRotatingSchId property.
    `java.util.List<java.lang.Integer>` | `getWmRotationWeekAgents()` Gets the value of the wmRotationWeekAgents property.
    `int` | `getWmRotationWeekAgentsNSizeIs()` Gets the value of the wmRotationWeekAgentsNSizeIs property.
    `int` | `getWmSiteId()` Gets the value of the wmSiteId property.
    `int` | `hashCode()`
    `void` | `setWmDate(double value)` Sets the value of the wmDate property.
    `void` | `setWmRotatingSchId(int value)` Sets the value of the wmRotatingSchId property.
    `void` | `setWmRotationWeekAgents(java.util.List<java.lang.Integer> wmRotationWeekAgents)` Sets the value of the wmRotationWeekAgents property.
    `void` | `setWmRotationWeekAgentsNSizeIs(int value)` Sets the value of the wmRotationWeekAgentsNSizeIs property.
    `void` | `setWmSiteId(int value)` Sets the value of the wmSiteId property.
    `java.lang.String` | `toString()`
    `CfgRotationDistribution` | `withWmDate(double value)`
    `CfgRotationDistribution` | `withWmRotatingSchId(int value)`
    `CfgRotationDistribution` | `withWmRotationWeekAgents(java.util.Collection<java.lang.Integer> values)`
    `CfgRotationDistribution` | `withWmRotationWeekAgents(java.lang.Integer... values)`
    `CfgRotationDistribution` | `withWmRotationWeekAgentsNSizeIs(int value)`
    `CfgRotationDistribution` | `withWmSiteId(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### wmRotatingSchId

          protected int wmRotatingSchId

      Rotating Pattern ID

    - #### wmSiteId

          protected int wmSiteId

      Rotating Pattern Site ID

    - #### wmDate

          protected double wmDate

      Date of distribution

    - #### wmRotationWeekAgentsNSizeIs

          protected int wmRotationWeekAgentsNSizeIs

      Number of elements in wmRotationWeekAgents list. It always matches a number of weeks in the rotating pattern.

    - #### wmRotationWeekAgents

          protected java.util.List<java.lang.Integer> wmRotationWeekAgents

      A list of number of agents for every week in rotation pattern. A zero index element corresponds to the first week in rotation, index 1 to the second week and so on.

  - ### Constructor Detail

    - #### CfgRotationDistribution

          public CfgRotationDistribution()

  - ### Method Detail

    - #### getWmRotatingSchId

          public int getWmRotatingSchId()

      Gets the value of the wmRotatingSchId property.

    - #### setWmRotatingSchId

          public void setWmRotatingSchId(int value)

      Sets the value of the wmRotatingSchId property.

    - #### getWmSiteId

          public int getWmSiteId()

      Gets the value of the wmSiteId property.

    - #### setWmSiteId

          public void setWmSiteId(int value)

      Sets the value of the wmSiteId property.

    - #### getWmDate

          public double getWmDate()

      Gets the value of the wmDate property.

    - #### setWmDate

          public void setWmDate(double value)

      Sets the value of the wmDate property.

    - #### getWmRotationWeekAgentsNSizeIs

          public int getWmRotationWeekAgentsNSizeIs()

      Gets the value of the wmRotationWeekAgentsNSizeIs property.

    - #### setWmRotationWeekAgentsNSizeIs

          public void setWmRotationWeekAgentsNSizeIs(int value)

      Sets the value of the wmRotationWeekAgentsNSizeIs property.

    - #### getWmRotationWeekAgents

          public java.util.List<java.lang.Integer> getWmRotationWeekAgents()

      Gets the value of the wmRotationWeekAgents property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the wmRotationWeekAgents property.

      For example, to add a new item, do as follows:

              getWmRotationWeekAgents().add(newItem);

      Objects of the following type(s) are allowed in the list `Integer`

    - #### withWmRotatingSchId

          public CfgRotationDistribution withWmRotatingSchId(int value)

    - #### withWmSiteId

          public CfgRotationDistribution withWmSiteId(int value)

    - #### withWmDate

          public CfgRotationDistribution withWmDate(double value)

    - #### withWmRotationWeekAgentsNSizeIs

          public CfgRotationDistribution withWmRotationWeekAgentsNSizeIs(int value)

    - #### withWmRotationWeekAgents

          public CfgRotationDistribution withWmRotationWeekAgents(java.lang.Integer... values)

    - #### withWmRotationWeekAgents

          public CfgRotationDistribution withWmRotationWeekAgents(java.util.Collection<java.lang.Integer> values)

    - #### setWmRotationWeekAgents

          public void setWmRotationWeekAgents(java.util.List<java.lang.Integer> wmRotationWeekAgents)

      Sets the value of the wmRotationWeekAgents property.
      Parameters:
        `wmRotationWeekAgents` - allowed object is `Integer`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.